#
# spec file for package python-oauth2
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-oauth2
Version:        1.9
Release:        3.2
Summary:        A fully tested, abstract interface to creating OAuth clients and servers
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/joestump/python-oauth2
Source:         python-oauth2-1.9.tar.gz
Patch0:         oauth2-drop-tests-with-net-access.patch
Patch1:         hidePythonRequires.patch
Patch2:         addTestPath.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python
BuildRequires:  python-coverage
BuildRequires:  python-httplib2
BuildRequires:  python-mock
Requires:       python-httplib2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This code was originally forked from Leah Culver and Andy Smith's oauth.py code.
Some of the tests come from a fork by Vic Fryzel, while a revamped Request
class and more tests were merged in from Mark Paschal's fork. After a hiatus
the project was taken over by Daniel Holmes the current maintainer


%package test
Summary:        Tests for python-oauth2
Group:          Development/Libraries/Python
PreReq:         python-oauth2 = %version
Requires:       python-coverage
Requires:       python-httplib2
Requires:       python-mock

%description test
Package provides the unit tests for python-oauth2

%prep
%setup -q
%patch0
%patch1
%patch2

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/tests/oauth2
mv %{buildroot}%{python_sitelib}/tests/*.py* %{buildroot}%{python_sitelib}/tests/oauth2

%check
python %{buildroot}%{python_sitelib}/tests/oauth2/test_oauth.py

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.md
%dir %{python_sitelib}/oauth2
%dir %{python_sitelib}/oauth2-%{version}.0-py%{py_ver}.egg-info
%{python_sitelib}/oauth2/*
%{python_sitelib}/oauth2-%{version}.0-py%{py_ver}.egg-info/*

%files test
%defattr(-,root,root,-)
%dir %{python_sitelib}/tests
%dir %{python_sitelib}/tests/oauth2
%{python_sitelib}/tests/oauth2/*

%changelog
* Tue Dec  1 2015 rjschwei@suse.com
- Include in SLE 12 (FATE#319904, bsc#954690)
* Sat Nov 21 2015 rjschwei@suse.com
- Update to version 1.9
  + No upstream changelog
  + Classes are no longer prefixed with OAuth
  + The library is likely no longer compatible with Python 2.3
  + added patches
  - addTestPath.patch
  - hidePythonRequires.patch
  + updated oauth2-drop-tests-with-net-access.patch
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Apr 25 2013 speilicke@suse.com
- Don't install testsuite
* Wed Apr 24 2013 speilicke@suse.com
- Add build dependency on python to get access to the ssl module
* Tue Apr 23 2013 speilicke@suse.com
- Update to version 1.5.211:
  + Upstream provides no changelog
- Completely redone spec file (with py2pack)
- Run testsuite
* Sat May 28 2011 pascal.bleser@opensuse.org
- remove python_sitelib/tests from package
* Sat May 28 2011 pascal.bleser@opensuse.org
- initial version (1.5.170)
